---
title: c AWS Simple Queue Service (SQS)
description: Available connectors
documentId: ipaas-aws-sqs
locale: en-US
---

The [**AWS SQS**](https://camel.apache.org/components/4.10.x/aws2-sqs-component.html) component supports sending and receiving messages to Amazon's SQS service.

**URI Syntax**: `aws2-sqs:queueNameOrArn`

## Main fields

*Path parameters*

| **Name** | **Description** | **Default** | **Type** |
|----------|---------------|------------|----------|
|`queueNameOrArn` (common)|(required) Queue name or ARN | —  |String|

*Query parameters*

| **Name** | **Description** | **Default** | **Type** |
|----------|---------------|------------|----------|
| `accessKey`(security) | Amazon AWS access key.| — | String |
| `secretKey`(security) | Amazon AWS secret key.  | — | String |

## Example

The following flow sends messages to an AWS SQS queue:

<Steps>
<Step>
The flow starts with a POST request to the `/hello` endpoint with data in the body.
</Step>
<Step>
Then, it logs the received content.
</Step>
<Step>
Next, it sends the message to the AWS SQS queue:
- Queue: identified by `{sqs-arn}` (Amazon Resource Name of the queue)
- Authentication: `accessKey` and `secretKey` (AWS credentials for queue access stored in variables, indicated by double curly braces). Read about configuring [flow variables](/docs/integrations/ipaas-flow-variables).
- The request body content is sent as a message to the SQS queue.
</Step>
</Steps>

```yaml
- from:
    uri: "rest:post:/hello"
    steps:
      - to:
          uri: "log:info"
      - to:
          uri: "aws2-sqs://{sqs-arn}"
          parameters:
            accessKey: "{{ACCESS_KEY}}"
            secretKey: "{{SECRET_KEY}}"
```
![](https://creative-ball-51b3fc85c0.media.strapiapp.com/aws_sqs_connector_3d1091b631.png)


### cURL

```
curl --location --request POST 'https://sensedia-integration-camel-poc.f6g7h8i9j0.integrations-tst.sensedia-eng.com/hello' \
--header 'Content-Type: application/json' \
--data-raw '{
    "message": "hello sqs"
}'
```

### Result

![](https://creative-ball-51b3fc85c0.media.strapiapp.com/aws_sqs_connector_result_24c985b960.png)
